<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>15.2: Accessing Members of Structures</title>
<link href="sx1a.html" rev=precedes>
<link href="sx1c.html" rel=precedes>
<link href="sx1.html" rev=subdocument>
</head>
<body>
<H2>15.2: Accessing Members of Structures</H2>

<p>We said that a structure was a little bit like an array:
a collection of members (elements).
We access the elements of an array
by using a numeric subscript in square brackets <TT>[]</TT>.
We access the elements of a structure
by name,
using the
<dfn>structure selection operator</dfn> which is a dot (a period).
The structure selection operator is a little like
the other binary operators we've seen,
but much more restricted:
on its left must be a variable or object of structure type,
and on its right must be the name of one of the members of that structure.
For example,
if <TT>c1</TT> is a variable of type <TT>struct complex</TT>
as declared in the previous section,
then <TT>c1.real</TT> is its real part
and <TT>c1.imag</TT> is its imaginary part.
</p><p>Like subscripted array references,
references to the members of structure variables
(using the structure selection operator)
can appear anywhere,
either on the right or left side of assignment operators.
We could say
<pre>
	c1.real = 1
</pre>
to set the real part of <TT>c1</TT>
(that is, the <TT>real</TT> member within <TT>c1</TT>)
to 1,
or
<pre>
	c1.imag = c2.imag
</pre>
to fetch the imaginary part of <TT>c2</TT> and assign it to
the imaginary part of <TT>c1</TT>,
or
<pre>
	c1.real = c2.real + c3.real
</pre>
to take the real parts of <TT>c2</TT> and <TT>c3</TT>,
add them together,
and assign the result to the real part of <TT>c1</TT>.
</p><hr>
<p>
Read sequentially:
<a href="sx1a.html" rev=precedes>prev</a>
<a href="sx1c.html" rel=precedes>next</a>
<a href="sx1.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
